# pip install "pinecone[grpc]"
from pinecone.grpc import PineconeGRPC as Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.describe_index(name="movie-recommendations")
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
await pc.describeIndex('movie-recommendations');
import io.pinecone.clients.Pinecone;
import org.openapitools.db_control.client.model.*;
public class DescribeIndexExample {
public static void main(String[] args) {
Pinecone pc = new Pinecone.Builder("YOURE_API_KEY").build();
IndexModel indexModel = pc.describeIndex("movie-recommendations");
System.out.println(indexModel);
}
}
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"github.com/pinecone-io/go-pinecone/v4/pinecone"
)
func prettifyStruct(obj interface{}) string {
bytes, _ := json.MarshalIndent(obj, "", " ")
return string(bytes)
}
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: "YOUR_API_KEY",
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
idx, err := pc.DescribeIndex(ctx, "movie-recommendations")
if err != nil {
log.Fatalf("Failed to describe index \"%v\": %v", idx.Name, err)
} else {
fmt.Printf("index: %v\n", prettifyStruct(idx))
}
}
using Pinecone;
var pinecone = new PineconeClient("YOUR_API_KEY");
var indexModel = await pinecone.DescribeIndexAsync("");
Console.WriteLine(indexModel);
PINECONE_API_KEY="YOUR_API_KEY"
curl -X GET "https://api.pinecone.io/indexes/movie-recommendations" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-04"
# Target the project that contains the index
pc target -o "example-org" -p "example-project"
# Describe the index.
pc index describe --name "movie-recommendations"
{'deletion_protection': 'disabled',
'dimension': 1536,
'host': 'movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io',
'metric': 'cosine',
'name': 'movie-recommendations',
'spec': {'serverless': {'cloud': 'aws', 'region': 'us-east-1'}},
'status': {'ready': True, 'state': 'Ready'},
'tags': {'environment': 'development'},
'vector_type': 'dense'}
{
"name": "movie-recommendations",
"dimension": 1536,
"metric": "cosine",
"host": "movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io",
"deletionProtection": "disabled",
"tags": { "environment": "development", "example": "tag" },
"embed": undefined,
"spec": { "pod": undefined, "serverless": { "cloud": "aws", "region": "us-east-1" } },
"status": { "ready": true, "state": "Ready" },
"vectorType": "dense"
}
class IndexModel {
name: movie-recommendations
dimension: 1536
metric: cosine
host: movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io
deletionProtection: disabled
tags: {environment=development}
embed: null
spec: class IndexModelSpec {
pod: null
serverless: class ServerlessSpec {
cloud: aws
region: us-east-1
additionalProperties: null
}
additionalProperties: null
}
status: class IndexModelStatus {
ready: true
state: Ready
additionalProperties: null
}
vectorType: dense
additionalProperties: null
}
index: {
"name": "movie-recommendations",
"host": "movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io",
"metric": "cosine",
"vector_type": "dense",
"deletion_protection": "disabled",
"dimension": 1536,
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"tags": {
"environment": "development"
}
}
{
"name": "movie-recommendations",
"dimension": 1536,
"metric": "cosine",
"host": "movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"tags": {
"environment": "development"
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
}
{
"name": "movie-recommendations",
"vector_type": "dense",
"metric": "cosine",
"dimension": 1536,
"status": {
"ready": true,
"state": "Ready"
},
"host": "movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"region": "us-east-1",
"cloud": "aws"
}
},
"deletion_protection": "disabled",
"tags": {
"environment": "development"
}
}
ATTRIBUTE VALUE
Name movie-recommendations
Dimension 1536
Metric cosine
Deletion Protection disabled
Vector Type dense
State Ready
Ready true
Host movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io
Private Host <none>
Spec serverless
Cloud aws
Region us-east-1
Source Collection <none>
Describe an index
Get a description of an index.
# pip install "pinecone[grpc]"
from pinecone.grpc import PineconeGRPC as Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.describe_index(name="movie-recommendations")
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
await pc.describeIndex('movie-recommendations');
import io.pinecone.clients.Pinecone;
import org.openapitools.db_control.client.model.*;
public class DescribeIndexExample {
public static void main(String[] args) {
Pinecone pc = new Pinecone.Builder("YOURE_API_KEY").build();
IndexModel indexModel = pc.describeIndex("movie-recommendations");
System.out.println(indexModel);
}
}
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"github.com/pinecone-io/go-pinecone/v4/pinecone"
)
func prettifyStruct(obj interface{}) string {
bytes, _ := json.MarshalIndent(obj, "", " ")
return string(bytes)
}
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: "YOUR_API_KEY",
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
idx, err := pc.DescribeIndex(ctx, "movie-recommendations")
if err != nil {
log.Fatalf("Failed to describe index \"%v\": %v", idx.Name, err)
} else {
fmt.Printf("index: %v\n", prettifyStruct(idx))
}
}
using Pinecone;
var pinecone = new PineconeClient("YOUR_API_KEY");
var indexModel = await pinecone.DescribeIndexAsync("");
Console.WriteLine(indexModel);
PINECONE_API_KEY="YOUR_API_KEY"
curl -X GET "https://api.pinecone.io/indexes/movie-recommendations" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-04"
# Target the project that contains the index
pc target -o "example-org" -p "example-project"
# Describe the index.
pc index describe --name "movie-recommendations"
{'deletion_protection': 'disabled',
'dimension': 1536,
'host': 'movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io',
'metric': 'cosine',
'name': 'movie-recommendations',
'spec': {'serverless': {'cloud': 'aws', 'region': 'us-east-1'}},
'status': {'ready': True, 'state': 'Ready'},
'tags': {'environment': 'development'},
'vector_type': 'dense'}
{
"name": "movie-recommendations",
"dimension": 1536,
"metric": "cosine",
"host": "movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io",
"deletionProtection": "disabled",
"tags": { "environment": "development", "example": "tag" },
"embed": undefined,
"spec": { "pod": undefined, "serverless": { "cloud": "aws", "region": "us-east-1" } },
"status": { "ready": true, "state": "Ready" },
"vectorType": "dense"
}
class IndexModel {
name: movie-recommendations
dimension: 1536
metric: cosine
host: movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io
deletionProtection: disabled
tags: {environment=development}
embed: null
spec: class IndexModelSpec {
pod: null
serverless: class ServerlessSpec {
cloud: aws
region: us-east-1
additionalProperties: null
}
additionalProperties: null
}
status: class IndexModelStatus {
ready: true
state: Ready
additionalProperties: null
}
vectorType: dense
additionalProperties: null
}
index: {
"name": "movie-recommendations",
"host": "movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io",
"metric": "cosine",
"vector_type": "dense",
"deletion_protection": "disabled",
"dimension": 1536,
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"tags": {
"environment": "development"
}
}
{
"name": "movie-recommendations",
"dimension": 1536,
"metric": "cosine",
"host": "movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"tags": {
"environment": "development"
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
}
{
"name": "movie-recommendations",
"vector_type": "dense",
"metric": "cosine",
"dimension": 1536,
"status": {
"ready": true,
"state": "Ready"
},
"host": "movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"region": "us-east-1",
"cloud": "aws"
}
},
"deletion_protection": "disabled",
"tags": {
"environment": "development"
}
}
ATTRIBUTE VALUE
Name movie-recommendations
Dimension 1536
Metric cosine
Deletion Protection disabled
Vector Type dense
State Ready
Ready true
Host movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io
Private Host <none>
Spec serverless
Cloud aws
Region us-east-1
Source Collection <none>
# pip install "pinecone[grpc]"
from pinecone.grpc import PineconeGRPC as Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
pc.describe_index(name="movie-recommendations")
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' });
await pc.describeIndex('movie-recommendations');
import io.pinecone.clients.Pinecone;
import org.openapitools.db_control.client.model.*;
public class DescribeIndexExample {
public static void main(String[] args) {
Pinecone pc = new Pinecone.Builder("YOURE_API_KEY").build();
IndexModel indexModel = pc.describeIndex("movie-recommendations");
System.out.println(indexModel);
}
}
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"github.com/pinecone-io/go-pinecone/v4/pinecone"
)
func prettifyStruct(obj interface{}) string {
bytes, _ := json.MarshalIndent(obj, "", " ")
return string(bytes)
}
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: "YOUR_API_KEY",
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
idx, err := pc.DescribeIndex(ctx, "movie-recommendations")
if err != nil {
log.Fatalf("Failed to describe index \"%v\": %v", idx.Name, err)
} else {
fmt.Printf("index: %v\n", prettifyStruct(idx))
}
}
using Pinecone;
var pinecone = new PineconeClient("YOUR_API_KEY");
var indexModel = await pinecone.DescribeIndexAsync("");
Console.WriteLine(indexModel);
PINECONE_API_KEY="YOUR_API_KEY"
curl -X GET "https://api.pinecone.io/indexes/movie-recommendations" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-04"
# Target the project that contains the index
pc target -o "example-org" -p "example-project"
# Describe the index.
pc index describe --name "movie-recommendations"
{'deletion_protection': 'disabled',
'dimension': 1536,
'host': 'movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io',
'metric': 'cosine',
'name': 'movie-recommendations',
'spec': {'serverless': {'cloud': 'aws', 'region': 'us-east-1'}},
'status': {'ready': True, 'state': 'Ready'},
'tags': {'environment': 'development'},
'vector_type': 'dense'}
{
"name": "movie-recommendations",
"dimension": 1536,
"metric": "cosine",
"host": "movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io",
"deletionProtection": "disabled",
"tags": { "environment": "development", "example": "tag" },
"embed": undefined,
"spec": { "pod": undefined, "serverless": { "cloud": "aws", "region": "us-east-1" } },
"status": { "ready": true, "state": "Ready" },
"vectorType": "dense"
}
class IndexModel {
name: movie-recommendations
dimension: 1536
metric: cosine
host: movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io
deletionProtection: disabled
tags: {environment=development}
embed: null
spec: class IndexModelSpec {
pod: null
serverless: class ServerlessSpec {
cloud: aws
region: us-east-1
additionalProperties: null
}
additionalProperties: null
}
status: class IndexModelStatus {
ready: true
state: Ready
additionalProperties: null
}
vectorType: dense
additionalProperties: null
}
index: {
"name": "movie-recommendations",
"host": "movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io",
"metric": "cosine",
"vector_type": "dense",
"deletion_protection": "disabled",
"dimension": 1536,
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"tags": {
"environment": "development"
}
}
{
"name": "movie-recommendations",
"dimension": 1536,
"metric": "cosine",
"host": "movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io",
"deletion_protection": "disabled",
"tags": {
"environment": "development"
},
"spec": {
"serverless": {
"cloud": "aws",
"region": "us-east-1"
}
},
"status": {
"ready": true,
"state": "Ready"
},
"vector_type": "dense"
}
{
"name": "movie-recommendations",
"vector_type": "dense",
"metric": "cosine",
"dimension": 1536,
"status": {
"ready": true,
"state": "Ready"
},
"host": "movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io",
"spec": {
"serverless": {
"region": "us-east-1",
"cloud": "aws"
}
},
"deletion_protection": "disabled",
"tags": {
"environment": "development"
}
}
ATTRIBUTE VALUE
Name movie-recommendations
Dimension 1536
Metric cosine
Deletion Protection disabled
Vector Type dense
State Ready
Ready true
Host movie-recommendations-1c6ab6aa.svc.aped-4627-b74a.pinecone.io
Private Host <none>
Spec serverless
Cloud aws
Region us-east-1
Source Collection <none>
Authorizations
Path Parameters
The name of the index to be described.
Response
Configuration information and deployment status of the index.
The IndexModel describes the configuration and status of a Pinecone index.
The name of the index. Resource name must be 1-45 characters long, start and end with an alphanumeric character, and consist only of lower case alphanumeric characters or '-'.
1 - 45"example-index"
The distance metric to be used for similarity search. You can use 'euclidean', 'cosine', or 'dotproduct'. If the 'vector_type' is 'sparse', the metric must be 'dotproduct'. If the vector_type is dense, the metric defaults to 'cosine'.
cosine, euclidean, dotproduct The URL address where the index is hosted.
"semantic-search-c01b5b5.svc.us-west1-gcp.pinecone.io"
Show child attributes
Show child attributes
{
"pod": {
"environment": "us-east-1-aws",
"metadata_config": {
"indexed": ["genre", "title", "imdb_rating"]
},
"pod_type": "p1.x1",
"pods": 1,
"replicas": 1,
"shards": 1
}
}Show child attributes
Show child attributes
{
"ready": true,
"state": "ScalingUpPodSize"
}The index vector type. You can use 'dense' or 'sparse'. If 'dense', the vector dimension must be specified. If 'sparse', the vector dimension should not be specified.
The dimensions of the vectors to be inserted in the index.
1 <= x <= 200001536
The private endpoint URL of an index.
"semantic-search-c01b5b5.svc.private.us-west1-gcp.pinecone.io"
Whether deletion protection is enabled/disabled for the index.
disabled, enabled Custom user tags added to an index. Keys must be 80 characters or less. Values must be 120 characters or less. Keys must be alphanumeric, '', or '-'. Values must be alphanumeric, ';', '@', '', '-', '.', '+', or ' '. To unset a key, set the value to be an empty string.
Show child attributes
Show child attributes
{ "tag0": "val0", "tag1": "val1" }The embedding model and document fields mapped to embedding inputs.
Show child attributes
Show child attributes
{
"field_map": { "text": "your-text-field" },
"metric": "cosine",
"model": "multilingual-e5-large",
"read_parameters": { "input_type": "query", "truncate": "NONE" },
"write_parameters": { "input_type": "passage" }
}Was this page helpful?